aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authornuex <[email protected]>2014-02-22 04:20:40 -0500
committernuex <[email protected]>2014-03-08 19:30:57 -0500
commit4ef840816d7df2a47a7955d3fd339720ace0a2b8 (patch)
tree959cb36bace246fa6cb9b329a1efd2cb692dabd3
parentdbede76ca6c76dd6be1cf22bacee1fe345631909 (diff)
downloadrelx-4ef840816d7df2a47a7955d3fd339720ace0a2b8.tar.gz
relx-4ef840816d7df2a47a7955d3fd339720ace0a2b8.tar.bz2
relx-4ef840816d7df2a47a7955d3fd339720ace0a2b8.zip
unescape quotes
-rw-r--r--priv/templates/bin.dtl8
-rw-r--r--priv/templates/erl_script.dtl2
-rw-r--r--priv/templates/extended_bin.dtl124
-rw-r--r--priv/templates/install_upgrade_escript.dtl44
-rw-r--r--priv/templates/nodetool.dtl60
5 files changed, 119 insertions, 119 deletions
diff --git a/priv/templates/bin.dtl b/priv/templates/bin.dtl
index 9e0dfb6..1af2554 100644
--- a/priv/templates/bin.dtl
+++ b/priv/templates/bin.dtl
@@ -12,12 +12,12 @@ ERL_OPTS={{ erl_opts }}
find_erts_dir() {
local erts_dir=$RELEASE_ROOT_DIR/erts-$ERTS_VSN
- if [ -d \"$erts_dir\" ]; then
+ if [ -d "$erts_dir" ]; then
ERTS_DIR=$erts_dir;
ROOTDIR=$RELEASE_ROOT_DIR
else
local erl=`which erl`
- local erl_root=`$erl -noshell -eval \"io:format(\\\"~s\\\", [code:root_dir()]).\" -s init stop`
+ local erl_root=`$erl -noshell -eval "io:format(\\"~s\\", [code:root_dir()])." -s init stop`
ERTS_DIR=$erl_root/erts-$ERTS_VSN
ROOTDIR=$erl_root
fi
@@ -26,8 +26,8 @@ find_erts_dir() {
find_sys_config() {
local possible_sys=$REL_DIR/sys.config
- if [ -f \"$possible_sys\" ]; then
- SYS_CONFIG=\"-config $possible_sys\"
+ if [ -f "$possible_sys" ]; then
+ SYS_CONFIG="-config $possible_sys"
fi
}
diff --git a/priv/templates/erl_script.dtl b/priv/templates/erl_script.dtl
index 261eb6a..72e93dd 100644
--- a/priv/templates/erl_script.dtl
+++ b/priv/templates/erl_script.dtl
@@ -10,4 +10,4 @@ export EMU
export ROOTDIR
export BINDIR
export PROGNAME
-exec \"$BINDIR/erlexec\" ${1+\"$@\"}
+exec "$BINDIR/erlexec" ${1+"$@"}
diff --git a/priv/templates/extended_bin.dtl b/priv/templates/extended_bin.dtl
index 39701c0..16b8708 100644
--- a/priv/templates/extended_bin.dtl
+++ b/priv/templates/extended_bin.dtl
@@ -13,12 +13,12 @@ PIPE_DIR=/tmp/erl_pipes/{{ rel_name }}/
find_erts_dir() {
local erts_dir=$RELEASE_ROOT_DIR/erts-$ERTS_VSN
- if [ -d \"$erts_dir\" ]; then
+ if [ -d "$erts_dir" ]; then
ERTS_DIR=$erts_dir;
ROOTDIR=$RELEASE_ROOT_DIR
else
local erl=`which erl`
- local erl_root=`$erl -noshell -eval \"io:format(\\\"~s\\\", [code:root_dir()]).\" -s init stop`
+ local erl_root=`$erl -noshell -eval "io:format(\\"~s\\", [code:root_dir()])." -s init stop`
ERTS_DIR=$erl_root/erts-$ERTS_VSN
ROOTDIR=$erl_root
fi
@@ -27,21 +27,21 @@ find_erts_dir() {
find_sys_config() {
local possible_sys=$REL_DIR/sys.config
- if [ -f \"$possible_sys\" ]; then
- SYS_CONFIG=\"-config $possible_sys\"
+ if [ -f "$possible_sys" ]; then
+ SYS_CONFIG="-config $possible_sys"
fi
}
# Use $CWD/vm.args if exists, otherwise releases/APP_VSN/vm.args, or else etc/vm.args
-if [ -e \"$RELEASE_ROOT_DIR/vm.args\" ]; then
+if [ -e "$RELEASE_ROOT_DIR/vm.args" ]; then
VMARGS_PATH=$RELEASE_ROOT_DIR/vm.args
USE_DIR=$RELEASE_ROOT_DIR
else
USE_DIR=$REL_DIR
- if [ -e \"$REL_DIR/vm.args\" ]; then
- VMARGS_PATH=\"$REL_DIR/vm.args\"
+ if [ -e "$REL_DIR/vm.args" ]; then
+ VMARGS_PATH="$REL_DIR/vm.args"
else
- VMARGS_PATH=\"$REL_DIR/vm.args\"
+ VMARGS_PATH="$REL_DIR/vm.args"
fi
fi
@@ -50,20 +50,20 @@ RUNNER_LOG_DIR=$RELEASE_ROOT_DIR/log
mkdir -p $RUNNER_LOG_DIR
# Use releases/VSN/sys.config if it exists otherwise use etc/app.config
-if [ -e \"$USE_DIR/sys.config\" ]; then
- CONFIG_PATH=\"$USE_DIR/sys.config\"
+if [ -e "$USE_DIR/sys.config" ]; then
+ CONFIG_PATH="$USE_DIR/sys.config"
else
- if [ -e \"$REL_DIR/sys.config\" ]; then
- CONFIG_PATH=\"$REL_DIR/sys.config\"
+ if [ -e "$REL_DIR/sys.config" ]; then
+ CONFIG_PATH="$REL_DIR/sys.config"
else
- CONFIG_PATH=\"$REL_DIR/app.config\"
+ CONFIG_PATH="$REL_DIR/app.config"
fi
fi
# Extract the target node name from node.args
NAME_ARG=`egrep '^-s?name' $VMARGS_PATH`
-if [ -z \"$NAME_ARG\" ]; then
- echo \"vm.args needs to have either -name or -sname parameter.\"
+if [ -z "$NAME_ARG" ]; then
+ echo "vm.args needs to have either -name or -sname parameter."
exit 1
fi
@@ -72,13 +72,13 @@ REMSH_TYPE=`echo $NAME_ARG | awk '{print $1}'`
REMSH_NAME=`echo $NAME_ARG | awk '{print $2}'`
# Note the `date +%s`, used to allow multiple remsh to the same node transparently
-REMSH_NAME_ARG=\"$REMSH_TYPE remsh`date +%s`@`echo $REMSH_NAME | awk -F@ '{print $2}'`\"
-REMSH_REMSH_ARG=\"-remsh $REMSH_NAME -boot start_clean\"
+REMSH_NAME_ARG="$REMSH_TYPE remsh`date +%s`@`echo $REMSH_NAME | awk -F@ '{print $2}'`"
+REMSH_REMSH_ARG="-remsh $REMSH_NAME -boot start_clean"
# Extract the target cookie
COOKIE_ARG=`grep '^-setcookie' $VMARGS_PATH`
-if [ -z \"$COOKIE_ARG\" ]; then
- echo \"vm.args needs to have a -setcookie parameter.\"
+if [ -z "$COOKIE_ARG" ]; then
+ echo "vm.args needs to have a -setcookie parameter."
exit 1
fi
@@ -93,38 +93,38 @@ export LD_LIBRARY_PATH=$ERTS_DIR/lib
cd $ROOTDIR
# Setup remote shell command to control node
-REMSH=\"$BINDIR/erl $REMSH_NAME_ARG $REMSH_REMSH_ARG $COOKIE_ARG\"
+REMSH="$BINDIR/erl $REMSH_NAME_ARG $REMSH_REMSH_ARG $COOKIE_ARG"
# Setup command to control the node
-NODETOOL=\"$BINDIR/escript $ROOTDIR/bin/nodetool $NAME_ARG $COOKIE_ARG\"
+NODETOOL="$BINDIR/escript $ROOTDIR/bin/nodetool $NAME_ARG $COOKIE_ARG"
# Check the first argument for instructions
-case \"$1\" in
+case "$1" in
start|start_boot)
# Make sure there is not already a node running
#RES=`$NODETOOL ping`
- #if [ \"$RES\" = \"pong\" ]; then
- # echo \"Node is already running!\"
+ #if [ "$RES" = "pong" ]; then
+ # echo "Node is already running!"
# exit 1
#fi
- case \"$1\" in
+ case "$1" in
start)
shift
- START_OPTION=\"console\"
- HEART_OPTION=\"start\"
+ START_OPTION="console"
+ HEART_OPTION="start"
;;
start_boot)
shift
- START_OPTION=\"console_boot\"
- HEART_OPTION=\"start_boot\"
+ START_OPTION="console_boot"
+ HEART_OPTION="start_boot"
;;
esac
- RUN_PARAM=$(printf \"'%s' \" \"$@\")
- HEART_COMMAND=\"$SCRIPT_DIR/bin/$REL_NAME $HEART_OPTION $RUN_PARAM\"
+ RUN_PARAM=$(printf "'%s' " "$@")
+ HEART_COMMAND="$SCRIPT_DIR/bin/$REL_NAME $HEART_OPTION $RUN_PARAM"
export HEART_COMMAND
mkdir -p $PIPE_DIR
- $BINDIR/run_erl -daemon $PIPE_DIR $RUNNER_LOG_DIR \"exec $RELEASE_ROOT_DIR/bin/$REL_NAME $START_OPTION $RUN_PARAM\" 2>&1
+ $BINDIR/run_erl -daemon $PIPE_DIR $RUNNER_LOG_DIR "exec $RELEASE_ROOT_DIR/bin/$REL_NAME $START_OPTION $RUN_PARAM" 2>&1
;;
stop)
@@ -133,21 +133,21 @@ case \"$1\" in
Linux|Darwin|FreeBSD|DragonFly|NetBSD|OpenBSD)
# PID COMMAND
PID=`ps ax -o pid= -o command=|
- grep \"$SCRIPT_DIR/.*/[b]eam\"|awk '{print $1}'`
+ grep "$SCRIPT_DIR/.*/[b]eam"|awk '{print $1}'`
;;
SunOS)
# PID COMMAND
PID=`ps -ef -o pid= -o args=|
- grep \"$SCRIPT_DIR/.*/[b]eam\"|awk '{print $1}'`
+ grep "$SCRIPT_DIR/.*/[b]eam"|awk '{print $1}'`
;;
CYGWIN*)
# UID PID PPID TTY STIME COMMAND
- PID=`ps -efW|grep \"$SCRIPT_DIR/.*/[b]eam\"|awk '{print $2}'`
+ PID=`ps -efW|grep "$SCRIPT_DIR/.*/[b]eam"|awk '{print $2}'`
;;
esac
$NODETOOL stop
ES=$?
- if [ \"$ES\" -ne 0 ]; then
+ if [ "$ES" -ne 0 ]; then
exit $ES
fi
while `kill -0 $PID 2>/dev/null`;
@@ -160,7 +160,7 @@ case \"$1\" in
## Restart the VM without exiting the process
$NODETOOL restart
ES=$?
- if [ \"$ES\" -ne 0 ]; then
+ if [ "$ES" -ne 0 ]; then
exit $ES
fi
;;
@@ -169,7 +169,7 @@ case \"$1\" in
## Restart the VM completely (uses heart to restart it)
$NODETOOL reboot
ES=$?
- if [ \"$ES\" -ne 0 ]; then
+ if [ "$ES" -ne 0 ]; then
exit $ES
fi
;;
@@ -178,7 +178,7 @@ case \"$1\" in
## See if the VM is alive
$NODETOOL ping
ES=$?
- if [ \"$ES\" -ne 0 ]; then
+ if [ "$ES" -ne 0 ]; then
exit $ES
fi
;;
@@ -187,8 +187,8 @@ case \"$1\" in
# Make sure a node IS running
RES=`$NODETOOL ping`
ES=$?
- if [ \"$ES\" -ne 0 ]; then
- echo \"Node is not running!\"
+ if [ "$ES" -ne 0 ]; then
+ echo "Node is not running!"
exit $ES
fi
@@ -200,8 +200,8 @@ case \"$1\" in
# Make sure a node IS running
RES=`$NODETOOL ping`
ES=$?
- if [ \"$ES\" -ne 0 ]; then
- echo \"Node is not running!\"
+ if [ "$ES" -ne 0 ]; then
+ echo "Node is not running!"
exit $ES
fi
@@ -210,18 +210,18 @@ case \"$1\" in
;;
upgrade|downgrade|install)
- if [ -z \"$2\" ]; then
- echo \"Missing package argument\"
- echo \"Usage: $REL_NAME $1 {package base name}\"
- echo \"NOTE {package base name} MUST NOT include the .tar.gz suffix\"
+ if [ -z "$2" ]; then
+ echo "Missing package argument"
+ echo "Usage: $REL_NAME $1 {package base name}"
+ echo "NOTE {package base name} MUST NOT include the .tar.gz suffix"
exit 1
fi
# Make sure a node IS running
RES=`$NODETOOL ping`
ES=$?
- if [ \"$ES\" -ne 0 ]; then
- echo \"Node is not running!\"
+ if [ "$ES" -ne 0 ]; then
+ echo "Node is not running!"
exit $ES
fi
@@ -235,31 +235,31 @@ case \"$1\" in
# .boot file typically just $REL_NAME (ie, the app name)
# however, for debugging, sometimes start_clean.boot is useful.
# For e.g. 'setup', one may even want to name another boot script.
- case \"$1\" in
+ case "$1" in
console) [ -f $REL_DIR/$REL_NAME.boot ] && BOOTFILE=$REL_DIR/$REL_NAME || BOOTFILE=$REL_DIR/start ;;
console_clean) BOOTFILE=$ROOTDIR/bin/start_clean ;;
console_boot)
shift
- BOOTFILE=\"$1\"
+ BOOTFILE="$1"
shift
;;
esac
# Setup beam-required vars
EMU=beam
PROGNAME=`echo $0 | sed 's/.*\\///'`
- CMD=\"$BINDIR/erlexec -boot $BOOTFILE -env ERL_LIBS $REL_DIR/lib -config $CONFIG_PATH -args_file $VMARGS_PATH\"
+ CMD="$BINDIR/erlexec -boot $BOOTFILE -env ERL_LIBS $REL_DIR/lib -config $CONFIG_PATH -args_file $VMARGS_PATH"
export EMU
export PROGNAME
# Dump environment info for logging purposes
- echo \"Exec: $CMD\" -- ${1+\"$@\"}
- echo \"Root: $ROOTDIR\"
+ echo "Exec: $CMD" -- ${1+"$@"}
+ echo "Root: $ROOTDIR"
# Log the startup
- logger -t \"$REL_NAME[$$]\" \"Starting up\"
+ logger -t "$REL_NAME[$$]" "Starting up"
# Start the VM
- exec $CMD -- ${1+\"$@\"}
+ exec $CMD -- ${1+"$@"}
;;
foreground)
@@ -267,24 +267,24 @@ case \"$1\" in
# or other supervision services
[ -f $REL_DIR/$REL_NAME.boot ] && BOOTFILE=$REL_NAME || BOOTFILE=start
- FOREGROUNDOPTIONS=\"-noinput +Bd\"
+ FOREGROUNDOPTIONS="-noinput +Bd"
# Setup beam-required vars
EMU=beam
PROGNAME=`echo $0 | sed 's/.*\\///'`
- CMD=\"$BINDIR/erlexec $FOREGROUNDOPTIONS -boot $REL_DIR/$BOOTFILE -mode embedded -config $CONFIG_PATH -args_file $VMARGS_PATH\"
+ CMD="$BINDIR/erlexec $FOREGROUNDOPTIONS -boot $REL_DIR/$BOOTFILE -mode embedded -config $CONFIG_PATH -args_file $VMARGS_PATH"
export EMU
export PROGNAME
# Dump environment info for logging purposes
- echo \"Exec: $CMD\" -- ${1+\"$@\"}
- echo \"Root: $ROOTDIR\"
+ echo "Exec: $CMD" -- ${1+"$@"}
+ echo "Root: $ROOTDIR"
# Start the VM
- exec $CMD -- ${1+\"$@\"}
+ exec $CMD -- ${1+"$@"}
;;
*)
- echo \"Usage: $REL_NAME {start|start_boot <file>|foreground|stop|restart|reboot|ping|console|console_clean|console_boot <file>|attach|remote_console|upgrade}\"
+ echo "Usage: $REL_NAME {start|start_boot <file>|foreground|stop|restart|reboot|ping|console|console_clean|console_boot <file>|attach|remote_console|upgrade}"
exit 1
;;
esac
diff --git a/priv/templates/install_upgrade_escript.dtl b/priv/templates/install_upgrade_escript.dtl
index 6dcddb3..7c331aa 100644
--- a/priv/templates/install_upgrade_escript.dtl
+++ b/priv/templates/install_upgrade_escript.dtl
@@ -14,64 +14,64 @@ main([RelName, NodeName, Cookie, VersionArg]) ->
case proplists:get_value(Version, WhichReleases) of
undefined ->
%% not installed, so unpack tarball:
- ?INFO(\"Release ~s not found, attempting to unpack releases/~s/~s.tar.gz~n\",[Version,Version,RelName]),
- ReleasePackage = Version ++ \"/\" ++ RelName,
+ ?INFO("Release ~s not found, attempting to unpack releases/~s/~s.tar.gz~n",[Version,Version,RelName]),
+ ReleasePackage = Version ++ "/" ++ RelName,
case rpc:call(TargetNode, release_handler, unpack_release,
[ReleasePackage], ?TIMEOUT) of
{ok, Vsn} ->
- ?INFO(\"Unpacked successfully: ~p~n\", [Vsn]),
+ ?INFO("Unpacked successfully: ~p~n", [Vsn]),
install_and_permafy(TargetNode, RelName, Vsn);
{error, UnpackReason} ->
print_existing_versions(TargetNode),
- ?INFO(\"Unpack failed: ~p~n\",[UnpackReason]),
+ ?INFO("Unpack failed: ~p~n",[UnpackReason]),
erlang:halt(2)
end;
old ->
%% no need to unpack, has been installed previously
- ?INFO(\"Release ~s is marked old, switching to it.~n\",[Version]),
+ ?INFO("Release ~s is marked old, switching to it.~n",[Version]),
install_and_permafy(TargetNode, RelName, Version);
unpacked ->
- ?INFO(\"Release ~s is already unpacked, now installing.~n\",[Version]),
+ ?INFO("Release ~s is already unpacked, now installing.~n",[Version]),
install_and_permafy(TargetNode, RelName, Version);
current -> %% installed and in-use, just needs to be permanent
- ?INFO(\"Release ~s is already installed and current. Making permanent.~n\",[Version]),
+ ?INFO("Release ~s is already installed and current. Making permanent.~n",[Version]),
permafy(TargetNode, RelName, Version);
permanent ->
- ?INFO(\"Release ~s is already installed, and set permanent.~n\",[Version])
+ ?INFO("Release ~s is already installed, and set permanent.~n",[Version])
end;
main(_) ->
erlang:halt(1).
parse_version(V) when is_list(V) ->
- hd(string:tokens(V,\"/\")).
+ hd(string:tokens(V,"/")).
install_and_permafy(TargetNode, RelName, Vsn) ->
case rpc:call(TargetNode, release_handler, check_install_release, [Vsn], ?TIMEOUT) of
{ok, _OtherVsn, _Desc} ->
ok;
{error, Reason} ->
- ?INFO(\"ERROR: release_handler:check_install_release failed: ~p~n\",[Reason]),
+ ?INFO("ERROR: release_handler:check_install_release failed: ~p~n",[Reason]),
erlang:halt(3)
end,
case rpc:call(TargetNode, release_handler, install_release, [Vsn], ?TIMEOUT) of
{ok, _, _} ->
- ?INFO(\"Installed Release: ~s~n\", [Vsn]),
+ ?INFO("Installed Release: ~s~n", [Vsn]),
permafy(TargetNode, RelName, Vsn),
ok;
{error, {no_such_release, Vsn}} ->
VerList =
iolist_to_binary(
- [io_lib:format(\"* ~s\t~s~n\",[V,S]) || {V,S} <- which_releases(TargetNode)]),
- ?INFO(\"Installed versions:~n~s\", [VerList]),
- ?INFO(\"ERROR: Unable to revert to '~s' - not installed.~n\", [Vsn]),
+ [io_lib:format("* ~s\t~s~n",[V,S]) || {V,S} <- which_releases(TargetNode)]),
+ ?INFO("Installed versions:~n~s", [VerList]),
+ ?INFO("ERROR: Unable to revert to '~s' - not installed.~n", [Vsn]),
erlang:halt(2)
end.
permafy(TargetNode, RelName, Vsn) ->
ok = rpc:call(TargetNode, release_handler, make_permanent, [Vsn], ?TIMEOUT),
- file:copy(filename:join([\"bin\", RelName++\"-\"++Vsn]),
- filename:join([\"bin\", RelName])),
- ?INFO(\"Made release permanent: ~p~n\", [Vsn]),
+ file:copy(filename:join(["bin", RelName++"-"++Vsn]),
+ filename:join(["bin", RelName])),
+ ?INFO("Made release permanent: ~p~n", [Vsn]),
ok.
which_releases(TargetNode) ->
@@ -80,9 +80,9 @@ which_releases(TargetNode) ->
print_existing_versions(TargetNode) ->
VerList = iolist_to_binary([
- io_lib:format(\"* ~s\t~s~n\",[V,S])
+ io_lib:format("* ~s\t~s~n",[V,S])
|| {V,S} <- which_releases(TargetNode) ]),
- ?INFO(\"Installed versions:~n~s\", [VerList]).
+ ?INFO("Installed versions:~n~s", [VerList]).
start_distribution(NodeName, Cookie) ->
MyNode = make_script_node(NodeName),
@@ -94,7 +94,7 @@ start_distribution(NodeName, Cookie) ->
{true, pong} ->
ok;
{_, pang} ->
- io:format(\"Node ~p not responding to pings.\n\", [TargetNode]),
+ io:format("Node ~p not responding to pings.\n", [TargetNode]),
erlang:halt(1)
end,
{ok, Cwd} = file:get_cwd(),
@@ -102,5 +102,5 @@ start_distribution(NodeName, Cookie) ->
TargetNode.
make_script_node(Node) ->
- [Name, Host] = string:tokens(Node, \"@\"),
- list_to_atom(lists:concat([Name, \"_upgrader_\", os:getpid(), \"@\", Host])).
+ [Name, Host] = string:tokens(Node, "@"),
+ list_to_atom(lists:concat([Name, "_upgrader_", os:getpid(), "@", Host])).
diff --git a/priv/templates/nodetool.dtl b/priv/templates/nodetool.dtl
index c98e544..a6faad5 100644
--- a/priv/templates/nodetool.dtl
+++ b/priv/templates/nodetool.dtl
@@ -16,58 +16,58 @@ main(Args) ->
{true, pong} ->
ok;
{_, pang} ->
- io:format(\"Node ~p not responding to pings.\n\", [TargetNode]),
+ io:format("Node ~p not responding to pings.\n", [TargetNode]),
halt(1)
end,
case RestArgs of
- [\"ping\"] ->
+ ["ping"] ->
%% If we got this far, the node already responsed to a ping, so just dump
- %% a \"pong\"
- io:format(\"pong\n\");
- [\"stop\"] ->
- io:format(\"~p\n\", [rpc:call(TargetNode, init, stop, [], 60000)]);
- [\"restart\"] ->
- io:format(\"~p\n\", [rpc:call(TargetNode, init, restart, [], 60000)]);
- [\"reboot\"] ->
- io:format(\"~p\n\", [rpc:call(TargetNode, init, reboot, [], 60000)]);
- [\"rpc\", Module, Function | RpcArgs] ->
+ %% a "pong"
+ io:format("pong\n");
+ ["stop"] ->
+ io:format("~p\n", [rpc:call(TargetNode, init, stop, [], 60000)]);
+ ["restart"] ->
+ io:format("~p\n", [rpc:call(TargetNode, init, restart, [], 60000)]);
+ ["reboot"] ->
+ io:format("~p\n", [rpc:call(TargetNode, init, reboot, [], 60000)]);
+ ["rpc", Module, Function | RpcArgs] ->
case rpc:call(TargetNode, list_to_atom(Module), list_to_atom(Function),
[RpcArgs], 60000) of
ok ->
ok;
{badrpc, Reason} ->
- io:format(\"RPC to ~p failed: ~p\n\", [TargetNode, Reason]),
+ io:format("RPC to ~p failed: ~p\n", [TargetNode, Reason]),
halt(1);
_ ->
halt(1)
end;
- [\"rpcterms\", Module, Function, ArgsAsString] ->
+ ["rpcterms", Module, Function, ArgsAsString] ->
case rpc:call(TargetNode, list_to_atom(Module), list_to_atom(Function),
consult(ArgsAsString), 60000) of
{badrpc, Reason} ->
- io:format(\"RPC to ~p failed: ~p\n\", [TargetNode, Reason]),
+ io:format("RPC to ~p failed: ~p\n", [TargetNode, Reason]),
halt(1);
Other ->
- io:format(\"~p\n\", [Other])
+ io:format("~p\n", [Other])
end;
Other ->
- io:format(\"Other: ~p\n\", [Other]),
- io:format(\"Usage: nodetool {ping|stop|restart|reboot}\n\")
+ io:format("Other: ~p\n", [Other]),
+ io:format("Usage: nodetool {ping|stop|restart|reboot}\n")
end,
net_kernel:stop().
process_args([], Acc, TargetNode) ->
{lists:reverse(Acc), TargetNode};
-process_args([\"-setcookie\", Cookie | Rest], Acc, TargetNode) ->
+process_args(["-setcookie", Cookie | Rest], Acc, TargetNode) ->
erlang:set_cookie(node(), list_to_atom(Cookie)),
process_args(Rest, Acc, TargetNode);
-process_args([\"-name\", TargetName | Rest], Acc, _) ->
- ThisNode = append_node_suffix(TargetName, \"_maint_\"),
+process_args(["-name", TargetName | Rest], Acc, _) ->
+ ThisNode = append_node_suffix(TargetName, "_maint_"),
{ok, _} = net_kernel:start([ThisNode, longnames]),
process_args(Rest, Acc, nodename(TargetName));
-process_args([\"-sname\", TargetName | Rest], Acc, _) ->
- ThisNode = append_node_suffix(TargetName, \"_maint_\"),
+process_args(["-sname", TargetName | Rest], Acc, _) ->
+ ThisNode = append_node_suffix(TargetName, "_maint_"),
{ok, _} = net_kernel:start([ThisNode, shortnames]),
process_args(Rest, Acc, nodename(TargetName));
process_args([Arg | Rest], Acc, Opts) ->
@@ -75,17 +75,17 @@ process_args([Arg | Rest], Acc, Opts) ->
start_epmd() ->
- [] = os:cmd(epmd_path() ++ \" -daemon\"),
+ [] = os:cmd(epmd_path() ++ " -daemon"),
ok.
epmd_path() ->
ErtsBinDir = filename:dirname(escript:script_name()),
- Name = \"epmd\",
+ Name = "epmd",
case os:find_executable(Name, ErtsBinDir) of
false ->
case os:find_executable(Name) of
false ->
- io:format(\"Could not find epmd.~n\"),
+ io:format("Could not find epmd.~n"),
halt(1);
GlobalEpmd ->
GlobalEpmd
@@ -96,18 +96,18 @@ epmd_path() ->
nodename(Name) ->
- case string:tokens(Name, \"@\") of
+ case string:tokens(Name, "@") of
[_Node, _Host] ->
list_to_atom(Name);
[Node] ->
- [_, Host] = string:tokens(atom_to_list(node()), \"@\"),
- list_to_atom(lists:concat([Node, \"@\", Host]))
+ [_, Host] = string:tokens(atom_to_list(node()), "@"),
+ list_to_atom(lists:concat([Node, "@", Host]))
end.
append_node_suffix(Name, Suffix) ->
- case string:tokens(Name, \"@\") of
+ case string:tokens(Name, "@") of
[Node, Host] ->
- list_to_atom(lists:concat([Node, Suffix, os:getpid(), \"@\", Host]));
+ list_to_atom(lists:concat([Node, Suffix, os:getpid(), "@", Host]));
[Node] ->
list_to_atom(lists:concat([Node, Suffix, os:getpid()]))
end.